GET v1/PaymentFeesAndPayouts/Fees?fields={fields}&where={where}&order={order}&page={page}&rows={rows}
Get a list of payment fees.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
fields |
Comma-separated list of fields to include in the response. Defaults to all fields if not specified. |
string |
None. |
where |
A where clause to filter specific records. Supports operators like AND and OR |
string |
None. |
order |
An order by clause to sort result by fields like CreatedDate DESC |
string |
None. |
page |
The page number (default: 1) |
integer |
Default value is 1 |
rows |
Rows per page (default: 50, maximum: 250) |
integer |
Default value is 50 |
Body Parameters
None.
Response Information
Resource Description
Collection of FeesAndPayoutsDto| Name | Description | Type | Additional information |
|---|---|---|---|
Id |
The unique Cin7 Id. |
integer |
None. |
InvoiceReference |
Payment fee or payout reference, e.g. for fees we use "PMTFEE-{id}" and for payouts we use the Orders_25 |
string |
None. |
Description |
Description |
string |
None. |
StripePaymentId |
Payment Id from stripe |
string |
None. |
TransactionType |
Indicates whether the record is a Payment Fee or Payout. |
string |
None. |
CreatedDate |
Created Date in UTC, serialized as ISO 8601 (e.g. 2024-01-15T13:45:30Z). |
date |
None. |
Total |
Amount of the fee or payout |
decimal number |
None. |
Currency |
Currency code (e.g. NZD, USD) |
string |
None. |
AccountingTreatment |
Predefined DR/CR accounting behavior |
string |
None. |
TaxTreatment |
Tax handling |
string |
None. |
IsNetOfSettlement |
Indicates whether the amount is net of settlement |
boolean |
None. |
Response Formats
application/json, text/json
[
{
"id": 1,
"invoiceReference": "sample string 2",
"description": "sample string 3",
"stripePaymentId": "sample string 4",
"transactionType": "sample string 5",
"createdDate": "2026-04-20T05:41:47.7704684+12:00",
"total": 6.0,
"currency": "sample string 7",
"accountingTreatment": "sample string 8",
"taxTreatment": "sample string 9",
"isNetOfSettlement": true
},
{
"id": 1,
"invoiceReference": "sample string 2",
"description": "sample string 3",
"stripePaymentId": "sample string 4",
"transactionType": "sample string 5",
"createdDate": "2026-04-20T05:41:47.7704684+12:00",
"total": 6.0,
"currency": "sample string 7",
"accountingTreatment": "sample string 8",
"taxTreatment": "sample string 9",
"isNetOfSettlement": true
}
]
